Search Unity

GearVR - Unable to lookup library path for 'libAudioPluginOculusSpatializer',render disabled

Discussion in 'VR' started by ROBYER1, Jun 3, 2019.

  1. ROBYER1

    ROBYER1

    Joined:
    Oct 9, 2015
    Posts:
    65
    Having issues in Unity 2019.1.3f1 using the latest Oculus Integration store package 1.37.0 from the Unity Asset store. Followed the setup instructions provided by Oculus, build the app to the Samsung Phone and plug it into the GearVR. The app closes unexpectedly (with a dialogue saying that)

    Logcat results are:

    06-03 15:18:31.661 632 660 D Unity : Unable to lookup library path for 'libAudioPluginOculusSpatializer', native render plugin support disabled.
    06-03 15:18:31.663 632 660 E Unity : Unable to find libAudioPluginOculusSpatializer

    Nothing actually renders before it crashes!

    And yes, I have set the audio spacializer as the OculusSpatializer in the Project Settings > Audio area.

    Has anyone else had this issue?!
     
  2. ROBYER1

    ROBYER1

    Joined:
    Oct 9, 2015
    Posts:
    65
    I just fixed this one myself, the logs didn't make it clear at all this was the issue, but I had Vulkan listed before OpenGLES 3 in the list of Graphics APIs under Player Settings, to fix this issue I had to move OpenGLES 3 above Vulkan in the order. I can only assume this means that Vulkan isn't supported on the device we are using (Samsung Galaxy S7)